> ## Documentation Index
> Fetch the complete documentation index at: https://insightsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# (experimental) Create calendar

> Requires ADMINISTER_CALENDARS role



## OpenAPI

````yaml /simba-embedded-analytics/docs/self-service-analytics/26.3/api-swagger/ssa-api-docs-26-3.json post /api/calendars
openapi: 3.1.0
info:
  title: Logi Composer Rest API
  description: >-
    The Composer REST API provides methods for retrieving, updating, and
    deleting Composer metadata. With the API endpoints, you can manage
    connections, data sources, accounts, groups, and users quickly and easily.


    ## Authentication


    This API supports the following authentication schemes:


    - **basicAuth** – HTTP Basic authentication using global administrator
    credentials (username and password). Required for most endpoints.

    - **trustedAccessAuth** – HTTP Basic authentication using Trusted Access
    client credentials. Use the **client ID** as the username and the **client
    secret** as the password. Required for Trusted Access token and session
    endpoints.

    - **bearerAuth** – HTTP Bearer token authentication. Supply a token
    previously obtained from a Trusted Access token endpoint
    (`/api/trusted-access/push/tokens` or `/api/trusted-access/pull/tokens`).
  contact:
    name: Logi Support
    url: https://help.insightsoftware.com
    email: logisupport@insightsoftware.com
  version: '1.0'
servers:
  - url: http://10.2.4.166:8080/composer
    description: Generated server url
security:
  - basicAuth: []
tags:
  - name: account-attributes
    description: Reserved Account attributes configuration
  - name: accounts
    description: Manage Accounts
  - name: accounts / admins
    description: Manage Account Administrators
  - name: accounts / users
    description: Manage Account Users
  - name: actions
    description: Manage Action Templates
  - name: activity
    description: Manages Activity Logging
  - name: alerts
    description: Manage Alerts
  - name: branding
    description: Manage branding configuration
  - name: branding-extentions
    description: Manage branding extensions (chart colors, etc.)
  - name: calendars
    description: (experimental) Manage calendars
  - name: comments
    description: Dashboard comments
  - name: connection-types
    description: Manage Connection Types
  - name: connections
    description: Manage Source Connections
  - name: connectors
    description: Manage Connectors
  - name: conversations
    description: Manage Workspace Conversations
  - name: customization
    description: Manage customization configuration
  - name: dashboard-conversion
    description: (experimental) Convert dashboards layout
  - name: dashboard-migration
    description: New Dashboards Migration API
  - name: dashboard-reports
    description: Manage Dashboard Reports
  - name: dashboard-sharing
    description: (experimental) Manage dashboard access level
  - name: dashboards
    description: Manage Dashboards
  - name: export
    description: Export Source Data
  - name: favorites
    description: Favorite Items
  - name: filter-sets
    description: Filter Visualizations Data
  - name: folders
    description: Manage folders
  - name: frontend / environment variables
    description: Get environment variables for frontend
  - name: global
    description: Manage global security configuration
  - name: group-membership
    description: Manages Group Membership
  - name: groups
    description: Manage User Groups
  - name: interactivity
    description: Dashboard interactivity
  - name: inventory
    description: Manage Composer Items
  - name: jobs
    description: List of available scheduler jobs
  - name: joins
    description: Manage joins metadata and suggestions
  - name: json-datasets
    description: Manage JSON datasets
  - name: kerberos
    description: Manage Kerberos Config
  - name: keyset
    description: Manage keysets
  - name: ldap
    description: Manage LDAP Configuration
  - name: license
    description: Manage Composer License
  - name: locale, currency, language
    description: Locale, currency, and language info
  - name: materialized-view
    description: (deprecated since 23.1) Manage Materialized Views
  - name: odata
    description: (experimental) Source Data Retrieval OData service
  - name: password-reset
    description: Self-service forgot-password flow
  - name: permissions
    description: Manage Permissions
  - name: Publish
    description: Publish Workspace Artifacts
  - name: quota
    description: Manage Quotas
  - name: recentlyAccessed
    description: Recently Accessed Elements
  - name: register
    description: User registration
  - name: saml
    description: Manage SAML
  - name: security
    description: Retrieve all sids info
  - name: self-service-reports
    description: Self Service Reports
  - name: sharing
    description: (experimental) Manage dashboard sharing
  - name: snapshots
    description: Create and manage entity snapshots
  - name: snippets
    description: (experimental) Manage snippets
  - name: sources
    description: Manage Sources
  - name: sources / cache-settings
    description: Manages sources cache settings
  - name: sources / custom-metrics
    description: Manage Source Custom Metrics
  - name: sources / dictionaries
    description: Manage Source Dictionaries
  - name: sources / fields
    description: Manage Source Fields
  - name: sources / global-settings
    description: Manages sources global settings
  - name: sources / migration
    description: Source Migration API
  - name: sources / preview and describe
    description: Source preview and describe
  - name: sources / raw data
    description: (experimental) Get source raw data
  - name: sources / security
    description: Manage Sources Security
  - name: sources / security / custom metrics
    description: (experimental) Manage Sources Custom Metric Security
  - name: sources / security / fields
    description: Manage Sources Fields Security
  - name: sources / security / row
    description: Manage Sources Row Security
  - name: sources / unique-key
    description: Manages sources unique key
  - name: sources / visual-types
    description: Manages source visual types
  - name: start-vis
    description: (experimental) Execute start-vis or meta request
  - name: stream
    description: Search stream sources
  - name: tags
    description: Manage tags
  - name: timezones
    description: Timezone Information
  - name: toggle
    description: Toggle Features
  - name: topics
    description: Manage topics
  - name: trusted-access-client
    description: Manage Trusted Access clients
  - name: trusted-access-session
    description: Manage user sessions via Trusted Access
  - name: trusted-access-token
    description: Manage Trusted Access tokens
  - name: uploads
    description: Manage Uploads
  - name: user
    description: Manage User
  - name: users
    description: Manage Users
  - name: users segregation
    description: Segregate users into tenants
  - name: version
    description: System version
  - name: visual-types
    description: Manage Visual Types
  - name: visuals
    description: Manage Visuals
  - name: visuals / migration
    description: New Visuals Migration API
  - name: workspaces
    description: Manage Workspaces
paths:
  /api/calendars:
    post:
      tags:
        - calendars
      summary: (experimental) Create calendar
      description: Requires ADMINISTER_CALENDARS role
      operationId: create_18
      requestBody:
        content:
          application/vnd.composer.v3+json:
            schema:
              $ref: '#/components/schemas/CalendarResource'
        required: true
      responses:
        '201':
          description: The calendar was created
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/CalendarResource'
        '400':
          description: Request is invalid
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: The user must be logged in
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ServletErrorMessage'
        '403':
          description: The user doesn't have privilege to perform the operation
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    CalendarResource:
      type: object
      description: (experimental) Calendar Resource object
      properties:
        id:
          type: string
          description: Defines calendar identifier
          readOnly: true
        type:
          type: string
          description: Defines calendar type
          enum:
            - MONTH_SHIFT
            - FISCAL_445
          example: MONTH_SHIFT
        name:
          type: string
          description: Defines unique calendar name across account
          example: Calendar name
          maxLength: 255
          minLength: 1
        monthShift:
          type: integer
          format: int32
          description: >-
            (Month shift type specific param) Defines the difference in months
            between a start month of this and the default calendar. Should
            contain an integer value from -11 to 11 excluding zero.
          example: -4
        fiscal445:
          $ref: '#/components/schemas/CalendarFiscal445Resource'
          description: >-
            (Fiscal445 type specific param) Defines the week-based fiscal 445
            calendar configuration.
        auditable:
          $ref: '#/components/schemas/AuditableResource'
          readOnly: true
      required:
        - name
        - type
    ErrorMessage:
      type: object
      description: Generic error message
      properties:
        error:
          type: string
        details:
          type: string
        message:
          type: string
        path:
          type: string
        status:
          type: string
        code:
          type: string
        errorCode:
          type: string
        timestamp:
          type: string
        problems:
          type: array
          items:
            $ref: '#/components/schemas/ProblemResource'
    ServletErrorMessage:
      type: object
      description: Generic servlet error message
      properties:
        timestamp:
          type: string
          format: date-time
        status:
          type: integer
          format: int32
        error:
          type: string
        message:
          type: string
        path:
          type: string
    CalendarFiscal445Resource:
      type: object
      properties:
        yearEndWeekDay:
          type: string
          description: The day of the week on which the year ends.
          enum:
            - MONDAY
            - TUESDAY
            - WEDNESDAY
            - THURSDAY
            - FRIDAY
            - SATURDAY
            - SUNDAY
          example: MONDAY
        yearEndsInLastWeek:
          type: boolean
          description: >-
            Whether the calendar ends in the last week of a given Gregorian/ISO
            month,or nearest to the last day of the month (will sometimes be in
            the next month)
        yearEndIsoMonth:
          type: string
          description: Which Gregorian/ISO end-of-month the year ends in/is nearest to.
          enum:
            - JANUARY
            - FEBRUARY
            - MARCH
            - APRIL
            - MAY
            - JUNE
            - JULY
            - AUGUST
            - SEPTEMBER
            - OCTOBER
            - NOVEMBER
            - DECEMBER
          example: JUNE
        quarterType:
          type: string
          description: The quarter of the year pattern type.
          enum:
            - QUARTER_445_WEEKS
            - QUARTER_454_WEEKS
            - QUARTER_544_WEEKS
          example: QUARTER_445_WEEKS
        leapWeekInMonth:
          type: integer
          format: int32
          description: >-
            The month which will have the leap-week added.Should contain an
            integer value from 1 to 12.
          example: 12
      required:
        - leapWeekInMonth
        - quarterType
        - yearEndIsoMonth
        - yearEndWeekDay
        - yearEndsInLastWeek
    AuditableResource:
      type: object
      description: >-
        Contains information about users and time of creating and updating this
        object
      properties:
        createdByUserId:
          type: string
          description: Id of a user who created this object
          example: 59ba04795b542f60838ce0e1
          readOnly: true
        createdByUserName:
          type: string
          description: Username of a user who created this object
          example: user_name
          readOnly: true
        createdDate:
          type: string
          format: date-time
          description: Date when this object was created
          readOnly: true
        lastModifiedByUserId:
          type: string
          description: Id of a user who updated this object last time
          example: 59ba04795b542f60838ce0e2
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          description: Date when this object was updated last time
          readOnly: true
    ProblemResource:
      type: object
      properties:
        name:
          type: string
        message:
          type: string
        level:
          type: string
          enum:
            - ERROR
            - WARNING
        dependencies:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ObjectUsageResource'
    ObjectUsageResource:
      type: object
      properties:
        hasOtherUsages:
          type: boolean
        accessible:
          type: array
          items:
            $ref: '#/components/schemas/AccessibleObjectUsageResource'
    AccessibleObjectUsageResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - SOURCE
            - MATERIALIZED_VIEW
            - KEY_SET
            - VISUAL
            - DASHBOARD
            - IN_DASHBOARD_VISUAL
            - SNIPPET
            - REPORT
            - FILTER_SET
            - DERIVED_FIELD
            - CUSTOM_METRIC
            - FIELD_LINK
            - ROW_SECURITY_FILTER
            - ACTION
            - SOURCE_JOIN
            - HIERARCHY
            - PARTITION
            - GLOBAL_FILTER
            - UNIQUE_KEY
            - TIME_CONTROL
        parent:
          $ref: '#/components/schemas/AccessibleObjectUsageResource'
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        HTTP Basic authentication using global administrator credentials
        (username and password).
      scheme: basic

````